Bug 888470 - [abrt] systemd-44-21.fc17: crash: Process /usr/lib/systemd/systemd was killed by signal 11 (SIGSEGV)
Summary: [abrt] systemd-44-21.fc17: crash: Process /usr/lib/systemd/systemd was killed...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7b7c37a4c8ae8d25d3f18efc868...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-18 18:31 UTC by Daniel Eduardo Perez Belloto
Modified: 2013-08-01 11:26 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 11:26:34 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (2.04 KB, text/plain)
2012-12-18 18:31 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: environ (200 bytes, text/plain)
2012-12-18 18:31 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: event_log (1.37 KB, text/plain)
2012-12-18 18:31 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: backtrace (10.59 KB, text/plain)
2012-12-18 18:31 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-18 18:32 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: smolt_data (3.96 KB, text/plain)
2012-12-18 18:32 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: cgroup (122 bytes, text/plain)
2012-12-18 18:32 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: executable (24 bytes, text/plain)
2012-12-18 18:32 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: maps (8.81 KB, text/plain)
2012-12-18 18:32 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: dso_list (1.72 KB, text/plain)
2012-12-18 18:32 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: proc_pid_status (881 bytes, text/plain)
2012-12-18 18:32 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: var_log_messages (12.58 KB, text/plain)
2012-12-18 18:32 UTC, Daniel Eduardo Perez Belloto
no flags Details
File: open_fds (917 bytes, text/plain)
2012-12-18 18:32 UTC, Daniel Eduardo Perez Belloto
no flags Details

Description Daniel Eduardo Perez Belloto 2012-12-18 18:31:45 UTC
Version-Release number of selected component:
systemd-44-21.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib/systemd/systemd
crash_function: crash
kernel:         3.6.10-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (9 frames)
: #1 crash at src/core/main.c:137
: #3 transaction_verify_order_one at src/core/transaction.c:406
: #9 transaction_verify_order at src/core/transaction.c:438
: #10 transaction_activate at src/core/transaction.c:643
: #11 manager_add_job at src/core/manager.c:707
: #12 bus_manager_message_handler at src/core/dbus-manager.c:1612
: #13 _dbus_object_tree_dispatch_and_unlock at dbus-object-tree.c:858
: #15 bus_dispatch at src/core/dbus.c:527
: #16 manager_loop at src/core/manager.c:1454

Potential duplicate bug: 729172

Comment 1 Daniel Eduardo Perez Belloto 2012-12-18 18:31:49 UTC
Created attachment 665675 [details]
File: core_backtrace

Comment 2 Daniel Eduardo Perez Belloto 2012-12-18 18:31:52 UTC
Created attachment 665676 [details]
File: environ

Comment 3 Daniel Eduardo Perez Belloto 2012-12-18 18:31:55 UTC
Created attachment 665677 [details]
File: event_log

Comment 4 Daniel Eduardo Perez Belloto 2012-12-18 18:31:58 UTC
Created attachment 665678 [details]
File: backtrace

Comment 5 Daniel Eduardo Perez Belloto 2012-12-18 18:32:00 UTC
Created attachment 665679 [details]
File: limits

Comment 6 Daniel Eduardo Perez Belloto 2012-12-18 18:32:06 UTC
Created attachment 665680 [details]
File: smolt_data

Comment 7 Daniel Eduardo Perez Belloto 2012-12-18 18:32:09 UTC
Created attachment 665681 [details]
File: cgroup

Comment 8 Daniel Eduardo Perez Belloto 2012-12-18 18:32:11 UTC
Created attachment 665682 [details]
File: executable

Comment 9 Daniel Eduardo Perez Belloto 2012-12-18 18:32:14 UTC
Created attachment 665683 [details]
File: maps

Comment 10 Daniel Eduardo Perez Belloto 2012-12-18 18:32:17 UTC
Created attachment 665684 [details]
File: dso_list

Comment 11 Daniel Eduardo Perez Belloto 2012-12-18 18:32:19 UTC
Created attachment 665685 [details]
File: proc_pid_status

Comment 12 Daniel Eduardo Perez Belloto 2012-12-18 18:32:22 UTC
Created attachment 665686 [details]
File: var_log_messages

Comment 13 Daniel Eduardo Perez Belloto 2012-12-18 18:32:25 UTC
Created attachment 665687 [details]
File: open_fds

Comment 14 Michal Schmidt 2013-01-15 17:21:49 UTC
I found a suspicious thing in the backtrace. In frame #3 there is:
 u = 0x200000243b180

This is outside the mapped address space of the process. Notice though that 0x243b180 would look reasonable, it would be inside the heap area.

So this looks very much like memory corruption. A single-bit fault. This could be bad RAM. Could you run memtest86+ on the machine for a few hours?

Did the error occur after resume from suspend or hibernation?

Comment 15 Fedora End Of Life 2013-07-04 03:36:14 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2013-08-01 11:26:41 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.